Enable/Disable a list of users

Prev Next
Post
/api/v1/users/bulk-account-status
Security
HTTP
Type bearer
Query parameters
name
string

The name of a user to filter

loginName
string

The loginName of a user to filter

mail
string

The mail of a user to filter

accountStatus
string

The accountStatus of a user to filter. The available account status are Enabled, Disabled, Enabled* and Disabled*

mfa
boolean

The mfa state of a user to filter. The available mfa states are true, false

emailVerified
boolean

The email verified state of a user to filter. The available email verified states are true, false

orgId
string

The ID of a particular org to filter

groupName
string

The group name of a user to filter

lastLoggedIn
string

Filter the user whose never loggedIn. Allowed value: Never

lastLoggedInFromDate
string

The earliest date to search in user loggedIn time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-05-06T10:50:35+0000
lastLoggedInToDate
string

The latest date to search in user loggedIn time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-05-06T10:50:35+0000
passwordExpiryFromDate
string

The latest date to search in user password expiry time. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)

Example2021-05-06T10:50:35+0000
passwordExpiryToDate
string

The future date to search in user password expiry time. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)

Example2021-05-06T10:50:35+0000
scheduleAccessExpiryFromDate
string

The latest date to search in user schedule access expiry datetime. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)

Example2021-05-06T10:50:35+0000
scheduleAccessExpiryToDate
string

The future date to search in user schedule access expiry datetime. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz)

Example2021-05-06T10:50:35+0000
tags
array of string

Filter user by tags

siteId
string

The ID of a particular site to filter

Body parameters

The new account status for the user

object
accountStatus
string
Valid values[ "Enabled", "Disabled" ]
objectGUID
Array of string
string
Responses
200

OK

Expand All
object
data
object
users
Array of object
object
accountStatus
string
message
string
name
string
objectGUID
string
401

Unauthorized

object
error_code
integer
error_message
string
error_status
boolean
500

Could not get users - Internal Server Error

object
authorization
boolean
data
Array of string
Example[]
string
error_code
integer | null
error_message
string | null
error_status
boolean